orm

## Class AnotacionDAO

- java.lang.Object
- - orm.AnotacionDAO

    public class AnotacionDAO
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`AnotacionDAO()`

### Method Summary

All Methods Static Methods Concrete Methods
`static Anotacion` `createAnotacion()`
`static boolean` `delete(Anotacion anotacion)`
`static boolean` `deleteAndDissociate(Anotacion anotacion)`
`static boolean` `deleteAndDissociate(Anotacion anotacion, org.orm.PersistentSession session)`
`static boolean` `evict(Anotacion anotacion)`
`static Anotacion` `getAnotacionByORMID(int id_pk)`
`static Anotacion` `getAnotacionByORMID(int id_pk, org.hibernate.LockMode lockMode)`
`static Anotacion` `getAnotacionByORMID(org.orm.PersistentSession session, int id_pk)`
`static Anotacion` `getAnotacionByORMID(org.orm.PersistentSession session, int id_pk, org.hibernate.LockMode lockMode)`
`static java.util.Iterator` `iterateAnotacionByQuery(org.orm.PersistentSession session, java.lang.String condition, java.lang.String orderBy)`
`static java.util.Iterator` `iterateAnotacionByQuery(org.orm.PersistentSession session, java.lang.String condition, java.lang.String orderBy, org.hibernate.LockMode lockMode)`
`static java.util.Iterator` `iterateAnotacionByQuery(java.lang.String condition, java.lang.String orderBy)`
`static java.util.Iterator` `iterateAnotacionByQuery(java.lang.String condition, java.lang.String orderBy, org.hibernate.LockMode lockMode)`
`static Anotacion[]` `listAnotacionByQuery(org.orm.PersistentSession session, java.lang.String condition, java.lang.String orderBy)`
`static Anotacion[]` `listAnotacionByQuery(org.orm.PersistentSession session, java.lang.String condition, java.lang.String orderBy, org.hibernate.LockMode lockMode)`
`static Anotacion[]` `listAnotacionByQuery(java.lang.String condition, java.lang.String orderBy)`
`static Anotacion[]` `listAnotacionByQuery(java.lang.String condition, java.lang.String orderBy, org.hibernate.LockMode lockMode)`
`static Anotacion` `loadAnotacionByORMID(int id_pk)`
`static Anotacion` `loadAnotacionByORMID(int id_pk, org.hibernate.LockMode lockMode)`
`static Anotacion` `loadAnotacionByORMID(org.orm.PersistentSession session, int id_pk)`
`static Anotacion` `loadAnotacionByORMID(org.orm.PersistentSession session, int id_pk, org.hibernate.LockMode lockMode)`
`static Anotacion` `loadAnotacionByQuery(org.orm.PersistentSession session, java.lang.String condition, java.lang.String orderBy)`
`static Anotacion` `loadAnotacionByQuery(org.orm.PersistentSession session, java.lang.String condition, java.lang.String orderBy, org.hibernate.LockMode lockMode)`
`static Anotacion` `loadAnotacionByQuery(java.lang.String condition, java.lang.String orderBy)`
`static Anotacion` `loadAnotacionByQuery(java.lang.String condition, java.lang.String orderBy, org.hibernate.LockMode lockMode)`
`static java.util.List` `queryAnotacion(org.orm.PersistentSession session, java.lang.String condition, java.lang.String orderBy)`
`static java.util.List` `queryAnotacion(org.orm.PersistentSession session, java.lang.String condition, java.lang.String orderBy, org.hibernate.LockMode lockMode)`
`static java.util.List` `queryAnotacion(java.lang.String condition, java.lang.String orderBy)`
`static java.util.List` `queryAnotacion(java.lang.String condition, java.lang.String orderBy, org.hibernate.LockMode lockMode)`
`static boolean` `refresh(Anotacion anotacion)`
`static boolean` `save(Anotacion anotacion)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AnotacionDAO

    public AnotacionDAO()

### Method Detail

#### loadAnotacionByORMID

    public static Anotacion loadAnotacionByORMID(int id_pk)
                                          throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### getAnotacionByORMID

    public static Anotacion getAnotacionByORMID(int id_pk)
                                         throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### loadAnotacionByORMID

    public static Anotacion loadAnotacionByORMID(int id_pk,
                                                 org.hibernate.LockMode lockMode)
                                          throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### getAnotacionByORMID

    public static Anotacion getAnotacionByORMID(int id_pk,
                                                org.hibernate.LockMode lockMode)
                                         throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### loadAnotacionByORMID

    public static Anotacion loadAnotacionByORMID(org.orm.PersistentSession session,
                                                 int id_pk)
                                          throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### getAnotacionByORMID

    public static Anotacion getAnotacionByORMID(org.orm.PersistentSession session,
                                                int id_pk)
                                         throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### loadAnotacionByORMID

    public static Anotacion loadAnotacionByORMID(org.orm.PersistentSession session,
                                                 int id_pk,
                                                 org.hibernate.LockMode lockMode)
                                          throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### getAnotacionByORMID

    public static Anotacion getAnotacionByORMID(org.orm.PersistentSession session,
                                                int id_pk,
                                                org.hibernate.LockMode lockMode)
                                         throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### queryAnotacion

    public static java.util.List queryAnotacion(java.lang.String condition,
                                                java.lang.String orderBy)
                                         throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### queryAnotacion

    public static java.util.List queryAnotacion(java.lang.String condition,
                                                java.lang.String orderBy,
                                                org.hibernate.LockMode lockMode)
                                         throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### listAnotacionByQuery

    public static Anotacion[] listAnotacionByQuery(java.lang.String condition,
                                                   java.lang.String orderBy)
                                            throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### listAnotacionByQuery

    public static Anotacion[] listAnotacionByQuery(java.lang.String condition,
                                                   java.lang.String orderBy,
                                                   org.hibernate.LockMode lockMode)
                                            throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### queryAnotacion

    public static java.util.List queryAnotacion(org.orm.PersistentSession session,
                                                java.lang.String condition,
                                                java.lang.String orderBy)
                                         throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### queryAnotacion

    public static java.util.List queryAnotacion(org.orm.PersistentSession session,
                                                java.lang.String condition,
                                                java.lang.String orderBy,
                                                org.hibernate.LockMode lockMode)
                                         throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### listAnotacionByQuery

    public static Anotacion[] listAnotacionByQuery(org.orm.PersistentSession session,
                                                   java.lang.String condition,
                                                   java.lang.String orderBy)
                                            throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### listAnotacionByQuery

    public static Anotacion[] listAnotacionByQuery(org.orm.PersistentSession session,
                                                   java.lang.String condition,
                                                   java.lang.String orderBy,
                                                   org.hibernate.LockMode lockMode)
                                            throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### loadAnotacionByQuery

    public static Anotacion loadAnotacionByQuery(java.lang.String condition,
                                                 java.lang.String orderBy)
                                          throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### loadAnotacionByQuery

    public static Anotacion loadAnotacionByQuery(java.lang.String condition,
                                                 java.lang.String orderBy,
                                                 org.hibernate.LockMode lockMode)
                                          throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### loadAnotacionByQuery

    public static Anotacion loadAnotacionByQuery(org.orm.PersistentSession session,
                                                 java.lang.String condition,
                                                 java.lang.String orderBy)
                                          throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### loadAnotacionByQuery

    public static Anotacion loadAnotacionByQuery(org.orm.PersistentSession session,
                                                 java.lang.String condition,
                                                 java.lang.String orderBy,
                                                 org.hibernate.LockMode lockMode)
                                          throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### iterateAnotacionByQuery

    public static java.util.Iterator iterateAnotacionByQuery(java.lang.String condition,
                                                             java.lang.String orderBy)
                                                      throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### iterateAnotacionByQuery

    public static java.util.Iterator iterateAnotacionByQuery(java.lang.String condition,
                                                             java.lang.String orderBy,
                                                             org.hibernate.LockMode lockMode)
                                                      throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### iterateAnotacionByQuery

    public static java.util.Iterator iterateAnotacionByQuery(org.orm.PersistentSession session,
                                                             java.lang.String condition,
                                                             java.lang.String orderBy)
                                                      throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### iterateAnotacionByQuery

    public static java.util.Iterator iterateAnotacionByQuery(org.orm.PersistentSession session,
                                                             java.lang.String condition,
                                                             java.lang.String orderBy,
                                                             org.hibernate.LockMode lockMode)
                                                      throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### createAnotacion

    public static Anotacion createAnotacion()

#### save

    public static boolean save(Anotacion anotacion)
                        throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### delete

    public static boolean delete(Anotacion anotacion)
                          throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### deleteAndDissociate

    public static boolean deleteAndDissociate(Anotacion anotacion)
                                       throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### deleteAndDissociate

    public static boolean deleteAndDissociate(Anotacion anotacion,
                                              org.orm.PersistentSession session)
                                       throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### refresh

    public static boolean refresh(Anotacion anotacion)
                           throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`

#### evict

    public static boolean evict(Anotacion anotacion)
                         throws org.orm.PersistentException

Throws:
  `org.orm.PersistentException`